@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
::selection{
    color: #fff;
    background: #fd7d1c;
}

::-webkit-scrollbar{
    width: 3px;
    border-radius: 25px;
}
::-webkit-scrollbar-track{
    background: #f1f1f1;
}
::-webkit-scrollbar-thumb{
    background: #ddd;
}
::-webkit-scrollbar-thumb:hover{
    background: #ccc;
}


.form{
    padding: 20px 15px;
    min-height: 400px;
    max-height: 400px;
    overflow-y: auto;
}
 .form .inbox{
    width: 100%;
    display: flex;
    align-items: baseline;
}
 .form .user-inbox{
    justify-content: flex-end;
    margin: 13px 0;
}
.form .inbox .icon{
    height: 40px;
    width: 40px;
    color: #fff;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    font-size: 18px;
}
.form .inbox .msg-header{
    width: auto;
    max-width: 80%;
    margin-left: 20px;
}
.inbox .msg-header p{
    color: #fff;
    background: rgb(184, 142, 85);
    border-radius: 10px;
    padding: 8px 10px;
    font-size: 16px;
    font-weight: 500;
    word-break: break-all;
}
.form .user-inbox .msg-header p{
    color: #333;
    background: rgb(212, 201, 183);
}
.typing-field{
    display: flex;
    height: 60px;
    width: 100%;
    align-items: center;
    justify-content: space-evenly;
    background: #bd0d0d;
    border-top: 1px solid #d9d9d9;
    border-radius: 0 0 5px 5px;
}

.input-data button:hover{
    border: 3px solid #0066ff;
    color: #000000;
    background: #ffffff;
}


.btn-chat{
    position:fixed;
    width:80px;
    height:80px;
    line-height: 65px;
    bottom:30px;
    right:25px;
    background:#fff;
    color:#FFF;
    border-radius:50px;
    text-align:center;
    font-size:35px;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.5);
    z-index:100;
    transition: all 300ms ease;
 }
 .btn-wsp:hover{
    background: #fafafa;
 }
 
 .btn-wsp{
    position:fixed;
    width:80px;
    height:80px;
    line-height: 100px;
    bottom:130px;
    right:25px;
    background:#25d366;
    color:#FFF;
    border-radius:50px;
    text-align:center;
    font-size:35px;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.5);
    z-index:100;
    transition: all 300ms ease;
 }
 .btn-chat:hover{
    background: #000000;
 }
 
 
 @media only screen and (min-width:320px) and (max-width:768px){
    .btn-wsp{
        width:73px;
        height:73px;
        line-height: 65px;
   }
    .btn-chat{
        width:73px;
        height:73px;
        line-height: 55px;
   }
 }

 .respuesta{
    animation-duration: 1.5s;
    animation-name: slidein;
 }

 @keyframes slidein {
    from {
        opacity: 0;
      }
    
      to {
        opacity: 1;
      }
  }

  .respuesta2{
    animation-duration: 1s;
    animation-name: slidein2;
 }
 @keyframes slidein2 {
    from {
        margin-left: 100%;
        width: 120%;
      }
    
      to {
        margin-left: 0%;
        width: 100%;
      }
    }

    .botoniniciar{
        margin-top: 10px;
        font-weight: 600;
        background: rgb(139,30,51);
        height: 40px;
        width: 90px;
        border-radius: 5px;
        color: white;
        border:none;
    }

    .botoniniciar:disabled{
        background:rgba(139, 30, 52, 0.555);
        pointer-events: none;
    }

    .botoniniciar:enabled{
        background: rgb(139,30,51);
        border:none; 
    }

    .botoniniciar:hover{
        background-color: rgb(215,194, 160);
        color: #000000;
        font-weight: 600;
        border-color: rgb(139,30,51);
        border-width: 2px;
    }

    .boton2{
        margin-top: 10px;
        height: 40px;
        width: auto + 5px;
        font-weight: 600;
        background: rgb(139,30,51);
        border-color: rgb(139,30,51);
        color: white;
    }
    .boton2:focus{
        background-color: rgb(215,194, 160);
        color: #000000;
        font-weight: 600;
        border-color:rgb(215,194, 160);
    }
    .boton2:hover{
        background-color: rgb(215,194, 160);
        color: #000000;
        font-weight: 600;
        border:none;
    }

    .opciones{
        background-color: rgb(255, 226, 183);
         margin-bottom: 5px;
         border-radius: 20px;
         font-weight: 400;
    }
    .opciones:hover{
        background-color: rgb(184,142,85);
        color: #ffffff;
    }

    .boton3{
        background: rgb(139,30,51);
        border-color: rgb(139,30,51);
        color: white;
        font-weight: 600;
    }

    .boton3:hover{
        background-color: rgb(215,194, 160);
        color: #000000;
        font-weight: 600;
        border:none;
    }

    .docu{
        margin-top: 5px;
        margin-bottom: 5px;
        border-radius: 2px;
        background-color:rgb(215,194, 160);
        font-weight:600;

    }

    .con:checked{
        transform: scale(1);
        background-color: rgb(139,30,51);
        border-color: rgb(139,30,51);
    }

    .btncerrarform{
        background: rgb(184,142,85);
        height: 40px;
        width: 90px;
        border-radius: 5px;
        color: white;
        border:none;
    }

    .def{
        text-decoration:  underline;
        text-decoration-style: double;
        color: #fff;
    }
    .def:hover{
        text-decoration: none;
        color: #000000;
        cursor: pointer;
    }